## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate tree-sitter-loader

Name:           rust-tree-sitter-loader
Version:        0.25.2
Release:        %autorelease
Summary:        Locates, builds, and loads tree-sitter grammars at runtime

License:        MIT
URL:            https://crates.io/crates/tree-sitter-loader
Source:         %{crates_source}
# * Upstream license file - tree-sitter/tree-sitter#1520
Source2:        https://github.com/tree-sitter/tree-sitter/raw/v%{version}/LICENSE#/LICENSE.upstream
# Manually created patch for downstream crate metadata changes
# * Disable feature 'wasm'
# * Downgrade 'semver' and 'url' to the versions available in Fedora
Patch:          tree-sitter-loader-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Locates, builds, and loads tree-sitter grammars at runtime.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tree-sitter-highlight-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tree-sitter-highlight-devel %{_description}

This package contains library source intended for building other packages which
use the "tree-sitter-highlight" feature of the "%{crate}" crate.

%files       -n %{name}+tree-sitter-highlight-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tree-sitter-tags-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tree-sitter-tags-devel %{_description}

This package contains library source intended for building other packages which
use the "tree-sitter-tags" feature of the "%{crate}" crate.

%files       -n %{name}+tree-sitter-tags-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
cp -pav %{SOURCE2} LICENSE

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Feb 18 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.25.2-1
- Update to 0.25.2

* Sat Feb 01 2025 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.24.7-1
- Update to 0.24.7

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Oct 26 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.23.2-1
- Update to 0.23.2

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri May 03 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.22.5-1
- Update to 0.22.5

* Sat Apr 13 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.22.4-1
- Update to 0.22.4 (#2274827)

* Wed Mar 20 2024 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.22.2-1
- Update to 0.22.2 (rhbz#2265409)

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Aug 07 2023 Fabio Valentini <decathorpe@gmail.com> - 0.20.0-5
- Regenerate with rust2rpm v24

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Mar 09 2022 Aleksei Bavshin <alebastr@fedoraproject.org> - 0.20.0-1
- Initial import (#2028899)
## END: Generated by rpmautospec
